%global momorel 1

Summary: Man (manual) pages from the Linux Documentation Project.
Name: man-pages
Version: 2.01
Release: %{momorel}m
License: see "README"
Group: Documentation
URL: http://www.win.tue.nl/~aeb/linux/man/
Source0: http://www.ring.gr.jp/pub/linux/kernel.org/docs/manpages/man-pages-%{version}.tar.bz2
Source1: rpcgen.1
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
BuildPreReq: rsync
NoSource: 0

%description
A large collection of man pages (documentation) from the Linux
Documentation Project (LDP).  The man pages are organized into the
following sections: Section 1, user commands (intro only); Section 2,
system calls; Section 3, libc calls; Section 4, devices (e.g., hd,
sd); Section 5, file formats and protocols (e.g., wtmp, /etc/passwd,
nfs); Section 6, games (intro only); Section 7, conventions, macro
packages, etc. (e.g., nroff, ascii); and Section 8, system
administration (intro only).

%prep
%setup -q

cp -a %{SOURCE1} man1

%build
rm -fv man1/README
rm -fv man1/chgrp.1
rm -fv man1/chmod.1
rm -fv man1/chown.1
rm -fv man1/cp.1
rm -fv man1/dd.1
rm -fv man1/df.1
rm -fv man1/diff.1
rm -fv man1/dir.1
rm -fv man1/dircolors.1
rm -fv man1/du.1
rm -fv man1/install.1
rm -fv man1/ln.1
rm -fv man1/ls.1
rm -fv man1/mkdir.1
rm -fv man1/mkfifo.1
rm -fv man1/mknod.1
rm -fv man1/mv.1
rm -fv man1/rm.1
rm -fv man1/rmdir.1
rm -fv man1/touch.1
rm -fv man1/vdir.1
rm -fv man2/capget.2
rm -fv man2/fgetxattr.2
rm -fv man2/flistxattr.2
rm -fv man2/fremovexattr.2
rm -fv man2/fsetxattr.2
rm -fv man2/getxattr.2
rm -fv man2/lgetxattr.2
rm -fv man2/listxattr.2
rm -fv man2/llistxattr.2
rm -fv man2/lremovexattr.2
rm -fv man2/lsetxattr.2
rm -fv man2/quotactl.2
rm -fv man2/removexattr.2
rm -fv man2/setxattr.2
rm -fv man3/getspnam.3

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_mandir}
rsync -av man? %{buildroot}%{_mandir}

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README man-pages-*.Announce
%{_mandir}/man*/*

%changelog
* Mon Feb 28 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.01-1m)
- version up
- remove man2.tar.gz and netman-cvs.tar.gz

* Mon Apr  5 2004 Toru Hoshina <t@momonga-linux.org>
- (1.65-2m)
- avoid conflict with shadow-utils.

* Sun Jan 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.65-1m)

* Tue Nov 11 2003 zunda <zunda at freeshell.org>
- (1.60-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat Aug 30 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.60-1m)
- major feature enhancements
- mv complex.5 complex_math.5

* Fri Feb 28 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.56-1m)
- major feature enhancements

* Tue Feb 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.55-1m)
- major feature enhancements

* Sat Jan  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.54-1m)
- minor bugfixes

* Mon Jul 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.52-1m)
- major feature enhancements

* Sat Jun  8 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.51-2k)
- update to 1.51

* Thu Jun  6 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.50-2k)

* Wed Mar 27 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.48-2k)

* Wed Mar 27 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (1.42-6k)
- remove diff.1

* Tue Oct 23 2001 Toru Hoshina <t@kondara.org>
- (1.42-4k)
- capget and capset manual should belong to libcap-1.10.

* Fri Oct 19 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.42-2k)

* Wed Oct 17 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.41-2k)
- revise URI of Source0

* Wed Sep 20 2000 Toru Hoshina <t@kondara.org>
- merge from pinstripe.
